#
# Conditional build:
%bcond_without	tests	# unit tests
#
%define		pdir	Class
%define		pnam	Load-XS
Summary:	Class::Load::XS - XS implementation of parts of Class::Load
Summary(pl.UTF-8):	Class::Load::XS - implementacja XS części modułu Class::Load
Name:		perl-Class-Load-XS
Version:	0.10
Release:	6
License:	Artistic v2.0
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Class/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2c15488b5b28afadbb5315e44a721e05
URL:		https://metacpan.org/dist/Class-Load-XS
BuildRequires:	perl-ExtUtils-MakeMaker
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl-Class-Load >= 0.20
BuildRequires:	perl-Module-Implementation >= 0.04
BuildRequires:	perl-Test-Class
BuildRequires:	perl-Test-Fatal
BuildRequires:	perl-Test-Needs
BuildRequires:	perl-Test-Requires
BuildRequires:	perl-Test-Simple >= 0.88
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides an XS implementation for portions of Class::Load.
See Class::Load for API details.

%description -l pl.UTF-8
Ten moduł dostarcza implementację XS niektórych części Class::Load.
Więcej szczegółów na temat API w Class::Load.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/Class/Load
%{perl_vendorarch}/Class/Load/XS.pm
%dir %{perl_vendorarch}/auto/Class/Load
%dir %{perl_vendorarch}/auto/Class/Load/XS
%attr(755,root,root) %{perl_vendorarch}/auto/Class/Load/XS/XS.so
%{_mandir}/man3/Class::Load::XS.3pm*
%changelog
* Sun Jun 30 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Class-Load-XS.git;a=log;h=master

* Sun Jun 30 2024 Jan Palus <atler@pld-linux.org> 8d520eb
- perl 5.40.0 rebuild

* Thu Aug 24 2023 Jakub Bogusz <qboosh@pld-linux.org> b0784ff
- updated URL

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 3d60272
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> bf6be11
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 2615ae8
- rebuild with perl 5.34.0

* Tue May 18 2021 Jakub Bogusz <qboosh@pld-linux.org> 5244246
- tests BR: perl-Test-Class

* Tue May 11 2021 Jan Palus <atler@pld-linux.org> 3f04964
- rebuild with perl 5.32

* Tue May 11 2021 Jan Palus <atler@pld-linux.org> bbd5a02
- BR: perl-Test-Needs

* Tue Oct 06 2020 Jakub Bogusz <qboosh@pld-linux.org> 73f7815
- updated to 0.10

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 1196874
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> e7284c7
- rebuild with perl 5.30.0
- release 7 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 653cc30
- rebuild with perl 5.28.0
- release 6 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> c17f86e
- perl req/prov fix
- release 5 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 518895b
- rebuild with perl 5.26
- release 4 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 559552a
- rebuild with perl 5.24.0
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 1e99ddd
- release 2 (by relup.sh)

* Tue Mar 10 2015 Jakub Bogusz <qboosh@pld-linux.org> 7c9ba47
- updated to 0.09

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 48fbcf8
- x32 rebuild
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 9e5a68c
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 2640e86
- rebuild for perl 5.20
- release 3 (by relup.sh)

